
Redmine - Defect #35827

Deleting a closed or archived project returns 403 

2021-08-30 18:54 - Holger Just

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version: 4.2.3   

Resolution:  Affected version:  

Description

Following #33945, it turned out that the patch removes the ability to delete closed or archived projects (even for administrators). The

behavior is here:

deleting an archived project (as admin) - HTTP 403: The project you're trying to access has been archived.

deleting a closed project - HTTP 403 - You are not authorized to access this page.

The attached patch fixes this. With this patch, closed projects can be deleted by normal users (if they have the project permission) or

administrators. Archived projects can be deleted by admins only. The behavior for active projects is unchanged.

I'm setting the target version to 4.2.3 since this is a regression since Redmine 4.2.0.

Associated revisions

Revision 21210 - 2021-09-06 21:11 - Marius BĂLTEANU

Fix that deleting a closed or archived projects not working anymore after r20034 (#35827).

Patch by Holger Just.

Revision 21214 - 2021-09-06 23:00 - Marius BĂLTEANU

Merged r21210 to 4.2-stable (#35827).

Revision 21218 - 2021-09-11 12:07 - Marius BĂLTEANU

Fix Layout/MultilineArrayBraceLayout offense (#21210).

Revision 21221 - 2021-09-11 12:16 - Marius BĂLTEANU

Merged r21218 from trunk to 4.2-stable (#35827).

History

#1 - 2021-09-06 23:04 - Marius BĂLTEANU

- Category set to Projects

- Status changed from New to Resolved

- Assignee set to Marius BĂLTEANU

Patch committed, thank you.

#2 - 2021-09-07 07:41 - Marius BĂLTEANU

- Status changed from Resolved to Closed

#3 - 2021-10-02 21:34 - Marius BĂLTEANU

- Tracker changed from Patch to Defect

- Subject changed from Allow to delete closed and archived projects to Deleting a closed or archived project returns 403 

Files

0001-Allow-to-delete-closed-and-archived-projects.patch 3.91 KB 2021-08-30 Holger Just
